Kate C++ Helper Plugin
Text Editors
Score 66%
Description:

This plugin is intended to simplify the hard life of C/C++ programmers who use Kate to write code.
It has C++ code completion (clang based), #include files completion, smarter replacement for standard Open Header plugin, source code index/search facility, and few other neat features (check README for details).

Check homepage for more screenshots :)

Please, report any problems to issue tracker at GitHub!
Last changelog:

5 years ago

Version 1.0.4

* action to toggle `#include ` into `#include ""` and vise versa
* improve _Open header/implementation_ action
* improve support for local `#includes` (i.e. withing quotes)
* and as usual some code refactorings

---
FOR SOME REASON I CAN'T LEAVE ANY COMMENT HERE USING MY ACCOUNT... IT JUST DOESN'T WORK FOR ME! SO PLEASE, START A NEW ISSUE AT GITHUB ISSUE TRAKER PAGE IN CASE OF PROBLEMS: https://github.com/zaufi/kate-cpp-helper-plugin/issues
---

KDEforever

2 years ago

After modifying CMakeCache.txt and FindLibClang.cmake and installing additional libraries i could pass the first bridge and the make files where generated.

This was only a short time of luck, because make fails directly with

Generating moc_cpp_helper_plugin.cpp
/srv/test/kate-cpp-helper-plugin-master/src/cpp_helper_plugin.h:63: Error: Undefined interface
automoc4: process for /srv/test/kate-cpp-helper-plugin-master/build/src/moc_cpp_helper_plugin.cpp failed: Unknown error
pid to wait for: 0
returning failed..
src/CMakeFiles/katecpphelperplugin_automoc.dir/build.make:49: recipe for target 'src/CMakeFiles/katecpphelperplugin_automoc' failed
make[2]: *** [src/CMakeFiles/katecpphelperplugin_automoc] Error 1
CMakeFiles/Makefile2:297: recipe for target 'src/CMakeFiles/katecpphelperplugin_automoc.dir/all' failed
make[1]: *** [src/CMakeFiles/katecpphelperplugin_automoc.dir/all] Error 2
Makefile:147: recipe for target 'all' failed
make: *** [all] Error 2


This software seems to be hopeless.
Now i understand why i could not find it in any distribution.

Report

KDEforever

2 years ago

For other users:
Any question must be adressed at
https://github.com/zaufi/kate-cpp-helper-plugin/issues

Report

KDEforever

2 years ago

With some help and little modifications it is possible now to compile this plugin for Debian 8.2 stable (jessie).

You will find the complete discussion here:
https://github.com/zaufi/kate-cpp-helper-plugin/issues/24

Here i suggested to add this plugin to the distribution:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=799204
There is a short description how to compile it.

Report

KDEforever

2 years ago

This is a nice tool, but it can only be used when it is old enough that it can be integrated into a normal distribution. :-(

Problems with compilation are completely ignored by the author.

Report

KDEforever

2 years ago

-- Configuration type chosen: Release
-- Found Qt-Version 4.8.6 (using /usr/bin/qmake)
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
-- Found KDE 4.12 include dir: /usr/include
-- Found KDE 4.12 library dir: /usr/lib
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
CMake Error at /usr/share/cmake-3.0/Modules/FindPackageHandleStandardArgs.cmake:136 (message):
Could NOT find LibClang (missing: LIBCLANG_LIBRARY) (Required is at least
version "3.3")
Call Stack (most recent call first):
/usr/share/cmake-3.0/Modules/FindPackageHandleStandardArgs.cmake:343 (_FPHSA_FAILURE_MESSAGE)
cmake/modules/FindLibClang.cmake:98 (find_package_handle_standard_args)
CMakeLists.txt:84 (find_package)


but libclang is installed!

ii libclang-3.5-dev 1:3.5-10 amd64 clang library - Development package
ii libclang-common-3.5-dev 1:3.5-10 amd64 clang library - Common development package
ii libclang1:amd64 1:3.5-25 amd64 C, C++ and Objective-C compiler (LLVM based)
ii libclang1-3.5:amd64 1:3.5-10 amd64 C interface to the clang library


Report

KDEforever

2 years ago

Is there any Debian package for this plugin.
You are always using the newest tools that doesn't fit the stable version.
I don't want to install a complete distribution to compile one plugin. ;-)

Example for Debian GNU/Linux 8.1 (jessie):
CMake Error at CMakeLists.txt:5 (cmake_minimum_required):
CMake 3.1.0 or higher is required. You are running version 3.0.2

Report

2handband

2 years ago

sorry for the delay. Backtrace posted:

https://github.com/zaufi/kate-cpp-helper-plugin/issues/22

Could you explain in more detail what else you need?

Report

2handband

2 years ago

I can go into plugins and add the c++ helper, no prob. The plugin then appears in the settings menu. When I try to click on it in settings it crashes Kate. Every time. Any idea why? I'm running this on Funtoo if it makes any difference.

Report

C

zaufi

2 years ago

could you please use a bug tracker @ https://github.com/zaufi/kate-cpp-helper-plugin and provide a backtrace and compiler/dependencies versions.

Report

mrbit

3 years ago

Hi, gentoo with kde 4.14.1 gcc 4.8

[ 0%] Built target katecpphelperplugin_automoc
[ 2%] Building CXX object src/CMakeFiles/katecpphelperplugin.dir/document_info.cpp.o
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp: In member function ‘void kate::DocumentInfo::updateStatus()’:
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:125:64: error: parameter declared ‘auto’
std::for_each(begin(m_ranges), end(m_ranges), [this](auto& r) { this->updateStatus(r); });
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp: In lambda function:
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:125:88: error: ‘r’ was not declared in this scope
std::for_each(begin(m_ranges), end(m_ranges), [this](auto& r) { this->updateStatus(r); });
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp: In member function ‘std::vector<kate::DocumentInfo::State>::iterator kate::DocumentInfo::findRange(KTextEditor::MovingRange*)’:
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:25: error: parameter declared ‘auto’
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp: In lambda function:
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:255:29: error: ‘item’ was not declared in this scope
return range == item.range.get();
^
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h: In instantiation of ‘_Funct std::for_each(_IIter, _IIter, _Funct) [with _IIter = __gnu_cxx::__normal_iterator<kate::DocumentInfo::State*, std::vector<kate::DocumentInfo::State> >; _Funct = kate::DocumentInfo::updateStatus()::__lambda0]’:
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:125:93: required from here
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:4417:14: error: no match for call to ‘(kate::DocumentInfo::updateStatus()::__lambda0) (kate::DocumentInfo::State&)’
__f(*__first);
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:125:56: note: candidate is:
std::for_each(begin(m_ranges), end(m_ranges), [this](auto& r) { this->updateStatus(r); });
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:125:65: note: kate::DocumentInfo::updateStatus()::__lambda0
std::for_each(begin(m_ranges), end(m_ranges), [this](auto& r) { this->updateStatus(r); });
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:125:65: note: candidate expects 0 arguments, 1 provided
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h: In instantiation of ‘_RandomAccessIterator std::__find_if(_RandomAccessIterator, _RandomAccessIterator, _Predicate, std::random_access_iterator_tag) [with _RandomAccessIterator = __gnu_cxx::__normal_iterator<kate::DocumentInfo::State*, std::vector<kate::DocumentInfo::State> >; _Predicate = kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1]’:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:4465:41: required from ‘_IIter std::find_if(_IIter, _IIter, _Predicate) [with _IIter = __gnu_cxx::__normal_iterator<kate::DocumentInfo::State*, std::vector<kate::DocumentInfo::State> >; _Predicate = kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1]’
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:257:7: required from here
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:214:23: error: no match for call to ‘(kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1) (kate::DocumentInfo::State&)’
if (__pred(*__first))
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:11: note: candidate is:
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: candidate expects 0 arguments, 1 provided
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:218:23: error: no match for call to ‘(kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1) (kate::DocumentInfo::State&)’
if (__pred(*__first))
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:11: note: candidate is:
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: candidate expects 0 arguments, 1 provided
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:222:23: error: no match for call to ‘(kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1) (kate::DocumentInfo::State&)’
if (__pred(*__first))
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:11: note: candidate is:
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: candidate expects 0 arguments, 1 provided
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:226:23: error: no match for call to ‘(kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1) (kate::DocumentInfo::State&)’
if (__pred(*__first))
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:11: note: candidate is:
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: candidate expects 0 arguments, 1 provided
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:234:23: error: no match for call to ‘(kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1) (kate::DocumentInfo::State&)’
if (__pred(*__first))
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:11: note: candidate is:
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: candidate expects 0 arguments, 1 provided
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:238:23: error: no match for call to ‘(kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1) (kate::DocumentInfo::State&)’
if (__pred(*__first))
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:11: note: candidate is:
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: candidate expects 0 arguments, 1 provided
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:242:23: error: no match for call to ‘(kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1) (kate::DocumentInfo::State&)’
if (__pred(*__first))
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:11: note: candidate is:
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: candidate expects 0 arguments, 1 provided
src/CMakeFiles/katecpphelperplugin.dir/build.make:606: set di istruzioni per l'obiettivo "src/CMakeFiles/katecpphelperplugin.dir/document_info.cpp.o" non riuscito
make[2]: *** [src/CMakeFiles/katecpphelperplugin.dir/document_info.cpp.o] Errore 1

not compila..!!
idea ?

Report

C

zaufi

3 years ago

take a look to ATTENTION note at changelog of version 1.0.3 on this site or homepage, or read requirements in README.

Report

mrbitt

3 years ago

oops...ok
Thanx.

Report

SoftwareExplorer

3 years ago

Two questions:
I tried your .deb on Kubuntu 14.04 and can't find the plugin showing up in Kate. I'm not sure what/where I could check from there to try to debug whats going on.

Second, on your page for it at http://zaufi.github.io/kate-cpp-helper-plugin.html, you have a very nice looking dark and bright green theme. What is it?/Where can I get it?

Report

C

zaufi

3 years ago

1. yeah, that package is for Ubuntu 13.10 ... I need to rebuild one for recently released 14.04 (I'll do it soon... after I've find a way to start my ubuntu repo w/ debs for varous distros). But you still can compile it from sources :)

2. color scheme for kate can be found here: https://github.com/zaufi/kate-stuff/tree/master/schema I'll put my KDE color theme here as well, so you can get it :) -- watch for updates in that repo :)

Report

SoftwareExplorer

3 years ago

First of all, regarding the Color scheme, thanks!

As far as building the plugin from source, I did try that from the git repo, but kept running into errors, and Google wasn't much help figuring out what build deps I'm missing.

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
QT_QT_INCLUDE_DIR
used as include directory in directory /home/erik/build/kate-cpp-helper-plugin/build/CMakeFiles/CMakeTmp

CMake Error: Internal CMake error, TryCompile configure of cmake failed

CMake Error at /usr/share/kde4/apps/cmake/modules/FindKDE4Internal.cmake:1311 (message):
Unable to compile a basic Qt application. Qt has not been found correctly.
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/FindKDE4.cmake:95 (find_package)
CMakeLists.txt:43 (find_package)


I'm not quite sure I understand what you mean by "find a way to start
my ubuntu repo w/ debs for varous distros". Do you mean for different versions of Ubuntu? Or being able to do (K/L)Ubuntu, Debian, Mint, etc? I've used launchpad.net for PPAs and it will build .deb packages in their environment for you from Debian source packages, and that can handle multiple versions. It's nice in that you don't have to set up an optimal build environment (they've already done that for you).

Report

C

zaufi

3 years ago

contact me via XMPP, I'll try to help you w/ compilation.
my JID is the same as email and can be found at my github user page.

Report

l12436

3 years ago

there are a error after libclang1 in control
and ubuntu's libclang1 only has 3.2
after 3.2 the lib name like this.

libclang1-3.3
libclang1-3.4

Report

l12436

3 years ago

your source code could not compile in kde 4.11.97(4.12 beta)

Report

C

zaufi

3 years ago

please use issues tracker @ github.com to report details about compiler errors. the .deb already fixed in `master` and reloaded

Report

l12436

4 years ago

can not build witch kde 4.11
Generating moc_cpp_helper_plugin.cpp
/run/shm/kate-cpp-helper-plugin-master/src/cpp_helper_plugin.h:61: Error: Undefined interface
automoc4: process for /run/shm/kate-cpp-helper-plugin-master/build/src/moc_cpp_helper_plugin.cpp failed: Unknown error
pid to wait for: 0

Report

C

zaufi

4 years ago

make sure that kate developer files are installed.
try this `locate kate/plugin.h`

Report

l12436

4 years ago

i think that is the old .h
the kde 4.11. i can not found where is that header file.
so i could not know how to build.

Report

C

zaufi

4 years ago

I've just commited a fix for debian/ubuntu which do not have a package for required files (see issue #10 in project tracker).
Please try to compile from git (will be included in a next release)...

Report

l12436

4 years ago

i think you can put all the kate dev file into the third partXD
now is this file not foud: kate_export.h

Report

C

zaufi

4 years ago

missed kate_export.h now in git repo.
plz try again

Report

5 years ago

Version 1.0.4

* action to toggle `#include ` into `#include ""` and vise versa
* improve _Open header/implementation_ action
* improve support for local `#includes` (i.e. withing quotes)
* and as usual some code refactorings

---
FOR SOME REASON I CAN'T LEAVE ANY COMMENT HERE USING MY ACCOUNT... IT JUST DOESN'T WORK FOR ME! SO PLEASE, START A NEW ISSUE AT GITHUB ISSUE TRAKER PAGE IN CASE OF PROBLEMS: https://github.com/zaufi/kate-cpp-helper-plugin/issues
---

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
1.0.4
updated Sep 08 2015
added Jan 30 2012
downloads today
0
page views today 1